Package com.orchestranetworks.ui.action

# Class DisplayMode

java.lang.Object
com.orchestranetworks.ui.action.DisplayMode

Direct Known Subclasses:
  `DisplayMode.ModalCustom`, `DisplayMode.ModalMedium`, `DisplayMode.Workspace`

public abstract class DisplayMode extends Object
Defines how a toolbar action has to be displayed on launch. Possible values are:

- `Workspace()`, obtained using `workspace()`
- `ModalMedium(resizable)`, obtained using `modalMedium(boolean)`
- `ModalCustom(width, height, resizable)`, obtained using `modalCustom(int, int, boolean)`

Since:
  5.9.0
See Also:
  - `WebComponentAction.setDisplayMode(DisplayMode)`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DisplayMode.ModalCustom`
  Indicates that the modal should be of the specified custom size.
  `static final class`
  `DisplayMode.ModalMedium`
  Indicates that the modal should be of the built-in medium size.
  `static final class`
  `DisplayMode.Workspace`
  Indicates that the action should be displayed in the workspace.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DisplayMode.ModalCustom`
  `asModalCustom()`
  If this instance is a `DisplayMode.ModalCustom`, casts it and returns it.
  `DisplayMode.ModalMedium`
  `asModalMedium()`
  If this instance is a `DisplayMode.ModalMedium`, casts it and returns it.
  `DisplayMode.Workspace`
  `asWorkspace()`
  If this instance is a `DisplayMode.Workspace`, casts it and returns it.
  `boolean`
  `isModalCustom()`
  Indicates if this instance is a `DisplayMode.ModalCustom`.
  `boolean`
  `isModalMedium()`
  Indicates if this instance is a `DisplayMode.ModalMedium`.
  `boolean`
  `isWorkspace()`
  Indicates if this instance is a `DisplayMode.Workspace`.
  `static DisplayMode.ModalCustom`
  `modalCustom(int width, int height, boolean resizable)`
  Returns an instance of `ModalCustom`.
  `static DisplayMode.ModalMedium`
  `modalMedium(boolean resizable)`
  Returns an instance of `ModalMedium`.
  `static DisplayMode.Workspace`
  `workspace()`
  Returns an instance of `Workspace`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isWorkspace

    public boolean isWorkspace()
    Indicates if this instance is a `DisplayMode.Workspace`.

  - ### asWorkspace

    public DisplayMode.Workspace asWorkspace()
    If this instance is a `DisplayMode.Workspace`, casts it and returns it. Returns `null` otherwise.

  - ### workspace

    public static DisplayMode.Workspace workspace()
    Returns an instance of `Workspace`.

  - ### isModalMedium

    public boolean isModalMedium()
    Indicates if this instance is a `DisplayMode.ModalMedium`.

  - ### asModalMedium

    public DisplayMode.ModalMedium asModalMedium()
    If this instance is a `DisplayMode.ModalMedium`, casts it and returns it. Returns `null` otherwise.

  - ### modalMedium

    public static DisplayMode.ModalMedium modalMedium(boolean resizable)
    Returns an instance of `ModalMedium`.

  - ### isModalCustom

    public boolean isModalCustom()
    Indicates if this instance is a `DisplayMode.ModalCustom`.

  - ### asModalCustom

    public DisplayMode.ModalCustom asModalCustom()
    If this instance is a `DisplayMode.ModalCustom`, casts it and returns it. Returns `null` otherwise.

  - ### modalCustom

    public static DisplayMode.ModalCustom modalCustom(int width, int height, boolean resizable)
    Returns an instance of `ModalCustom`.